[Bug?] TechDraw.findOuterWire(shape.Edges)

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Post Reply
xc22143
Posts: 139
Joined: Fri Dec 03, 2021 9:52 am

[Bug?] TechDraw.findOuterWire(shape.Edges)

Post by xc22143 »

Hello, everyone!

I used TechDraw.findOuterWire to get the outlines of the edges. However, it seemed that the outer wire is not the outer lines.
the edges are:
image_75.png
image_75.png (12.53 KiB) Viewed 543 times
the outer wire using TechDraw.findOuterWire:
image_76.png
image_76.png (12.63 KiB) Viewed 543 times
Actually, the edges are from the result of face.project(the green faces).
image_77.png
image_77.png (32.46 KiB) Viewed 543 times
However, when I tried TechDraw.findShapeOutline(green faces, 1.0, App.Vector(0,1,0)), the result is right.
image_78.png
image_78.png (4.21 KiB) Viewed 543 times
is it a bug? Thank you for help!

Here is the FC file.
Attachments
find outer lines.FCStd
(59.92 KiB) Downloaded 12 times
chrisb
Veteran
Posts: 53919
Joined: Tue Mar 17, 2015 9:14 am

Re: [Bug?] TechDraw.findOuterWire(shape.Edges)

Post by chrisb »

Moved from developer forum.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
chrisb
Veteran
Posts: 53919
Joined: Tue Mar 17, 2015 9:14 am

Re: [Bug?] TechDraw.findOuterWire(shape.Edges)

Post by chrisb »

Works here flawless:
SnipScreenshot-6e9b83.png
SnipScreenshot-6e9b83.png (21.23 KiB) Viewed 516 times

Code: Select all

OS: macOS 10.16
Word size of FreeCAD: 64-bit
Version: 0.21.31155 (Git)
Build type: Release
Branch: master
Hash: 6f1b29769b33676edca2bd883b80bed25a0758c8
Python 3.10.8, Qt 5.15.4, Coin 4.0.0, Vtk 9.1.0, OCC 7.6.3
Locale: C/Default (C)
Installed mods: 
  * FC_SU
  * DynamicData 2.46.0
  * freecad.gears 1.0.0
  * FeedsAndSpeeds 0.4.0
  * fcgear 1.0.0
  * fasteners 0.4.16
  * sheetmetal 0.2.57
  * ExplodedAssembly
  * Curves 0.6.1
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
User avatar
wandererfan
Veteran
Posts: 6265
Joined: Tue Nov 06, 2012 5:42 pm
Contact:

Re: [Bug?] TechDraw.findOuterWire(shape.Edges)

Post by wandererfan »

xc22143 wrote: Sun Dec 04, 2022 9:53 am is it a bug? Thank you for help!
If you are starting from a 3d shape, you should use findShapeOutline as it projects the shape, then looks for the outer wire. findOuterWire doesn't do a projection and assumes the edges are all in the same plane.
xc22143
Posts: 139
Joined: Fri Dec 03, 2021 9:52 am

Re: [Bug?] TechDraw.findOuterWire(shape.Edges)

Post by xc22143 »

wandererfan wrote: Sun Dec 04, 2022 1:32 pm If you are starting from a 3d shape, you should use findShapeOutline as it projects the shape, then looks for the outer wire. findOuterWire doesn't do a projection and assumes the edges are all in the same plane.
Thank you! I used face.project(3D shape) to get the edges, so the edges should be in the same plane. So before findOuterWire, the projection was done.
xc22143
Posts: 139
Joined: Fri Dec 03, 2021 9:52 am

Re: [Bug?] TechDraw.findOuterWire(shape.Edges)

Post by xc22143 »

chrisb wrote: Sun Dec 04, 2022 10:48 am
Thank you! Could you share the specific operations?
chrisb
Veteran
Posts: 53919
Joined: Tue Mar 17, 2015 9:14 am

Re: [Bug?] TechDraw.findOuterWire(shape.Edges)

Post by chrisb »

xc22143 wrote: Mon Dec 05, 2022 1:37 am Thank you! Could you share the specific operations?
Of course:
- load the file
- select top view
- select "Face"
- switch to TechDraw
- add view
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
Post Reply